Bug 12411 - Утекает память при использовании CFG_STR_LIST()
: Утекает память при использовании CFG_STR_LIST()
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libconfuse)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.nongnu.org/archive/html/...
:
:
:
  Show dependency tree
 
Reported: 2007-07-29 00:03 by
Modified: 2007-11-12 20:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-29 00:03:56
Если взять четвёртый пример из документации
(/usr/share/doc/libconfuse-doc-2.5/tutorial-html/ar01s03.html), собрать и
прогнать под valgrind'ом, то видно, что утекает память, которая отводится для
значения по умолчанию.

К сожалению, библиотека уже не развивается, но всё же в рассылке я нашел
подобный баг-репорт и там же есть патч, который вроде бы исправляет эту
проблему:
http://lists.nongnu.org/archive/html/confuse-devel/2005-10/msg00004.html

Я предлагаю его протестировать и приложить к нашей сборке.
------- Comment #1 From 2007-11-09 14:13:01 -------
Приложил данный патч, проверил на своем проекте, который активно использует эту 
библиотеку. утечка памяти сразу прекратилась.
Результат, готовый к сборке, выложил в git:
http://git.altlinux.ru/people/zver/packages/?p=libconfuse.git;a=summary
------- Comment #2 From 2007-11-09 14:15:18 -------
FIXED будет когда она в Сизифе будет (ну или по крайней мере отправится туда).
------- Comment #3 From 2007-11-10 17:36:05 -------
(In reply to comment #1)
> Результат, готовый к сборке, выложил в git:
> http://git.altlinux.ru/people/zver/packages/?p=libconfuse.git;a=summary

Можете его выкинуть.

1. Он не основан на git://git.altlinux.org/archive/c/confuse.git
2. Он назван не так, как src-пакет.
3. Патч приложен прямо в master.
------- Comment #4 From 2007-11-12 07:22:22 -------
src пакет как раз собирается с именем confuse-2.5-alt2.src.rpm
Про то, что надо основывать на git://git.altlinux.org/archive/ и то что 
прикладывать обязатльно в отдельном бранче я не знал. Где можно почитать про 
это?

Надеюсь в скором времени  Вы сделаете все по правилам и исправите этот баг.
------- Comment #5 From 2007-11-12 08:45:23 -------
В Сизиф ушел с исправлением => ставлю FIXED.

Андрей, спасибо!
------- Comment #6 From 2007-11-12 20:50:40 -------
(In reply to comment #4)
> src пакет как раз собирается с именем confuse-2.5-alt2.src.rpm
Да, а репо назван libconfuse.
> Про то, что надо основывать на git://git.altlinux.org/archive/ 
Ну это лучше, чем с нуля.

> и то что прикладывать обязатльно в отдельном бранче я не знал. 
А это очевидно, т.к. как что вы стали бы делать при выходе новой апстримной 
версии?

> Где можно почитать про  это?
Понятия не имею.

> Надеюсь в скором времени  Вы сделаете все по правилам и исправите этот баг.

Давно в инкаминге всё.